--**************************************************AIR TO GROUND BOMBS WITH CFT**************************************************

----------------------------------------------------F-16 Single Seat versions-----------------------------------------------------

--GBU-38 3,4,6,7
------------------
-------------------------------------------
local function C_bru_L657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-38"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3,4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,	
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"),		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}}, 
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}  
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_2x("GBU-38")					-- GBU-38 Pylon 3,4


local function C_bru_L657_with_3x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-38"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_3*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3,4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,	
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"),		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	4.863}},   
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}},     
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)  
end

C_bru_L657_with_3x("GBU-38")					-- GBU-38 Pylon 3,4,6


local function C_bru_L657_with_32x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-38"] 
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_32*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*2),4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,	
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"),		
		Elements		= {	{ShapeName	= "BRU_57",	IsAdapter  	   = true},      
							{ShapeName	= element,		Position	=	{0.789,	0.09,	1.25}},     
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}
		}, 
	}
	declare_loadout(data)  
end

C_bru_L657_with_32x("GBU-38")					-- GBU-38 Pylon 3,4


local function C_bru_L657_with_4x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-38"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_4*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*2),4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 4*bomb_variant.Cx,		
		Count			=	4,
		Weight			=	0 + 4*bomb_variant.mass,	
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"),		
		Elements		= {	{ShapeName	= "BRU_57",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.09,	4.863}},       
							{ShapeName	= element,		Position	=	{0.789,	0.09,	1.25}},     
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}
		}, 
	}
	declare_loadout(data)  
end

C_bru_L657_with_4x("GBU-38")					-- GBU-38 Pylon 3,4,6



local function C_bru_R657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-38"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 7,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"),		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_2x("GBU-38")					-- GBU-38 Pylon 6,7



local function C_bru_R657_with_3x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-38"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_3*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 7,6,4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,	
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"),		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-4.863}}, 
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_3x("GBU-38")					-- GBU-38 Pylon 6,7,4



C_bru_L657_with_3x("GBU-38")					-- GBU-38 Pylon 3,4,6


local function C_bru_R657_with_32x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-38"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_32*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 7(*2),6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,	
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"),		
		Elements		= {	{ShapeName	= "BRU_57",	IsAdapter  	   = true},      
							{ShapeName	= element,		Position	=	{0.789,	0.09,	-1.25}},     
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}
		}, 
	}
	declare_loadout(data)  
end

C_bru_R657_with_32x("GBU-38")					-- GBU-38 Pylon 3,4


local function C_bru_R657_with_4x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-38"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_4*"..element.."}",  
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*2),4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 4*bomb_variant.Cx,		
		Count			=	4,
		Weight			=	0 + 4*bomb_variant.mass,	
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"),		
		Elements		= {	{ShapeName	= "BRU_57",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.09,	-4.863}},       
							{ShapeName	= element,		Position	=	{0.789,	0.09,	-1.25}},     
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}
		}, 
	}
	declare_loadout(data)  
end

C_bru_R657_with_4x("GBU-38")					-- GBU-38 Pylon 3,4,6  

---------------------

-----------------------------


--GBU-31 3,4,6,7
---------------------

-----------------------------
local function C_bru_R657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-31"]  
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 7,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_2x("GBU-31")					-- GBU-31 Pylon 6,7



local function C_bru_R657_with_3x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-31"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_3*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 7,6,4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-4.863}},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_3x("GBU-31")					-- GBU-31 Pylon 6,7,4



local function C_bru_L657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-31"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3,4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,	
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_2x("GBU-31")					-- GBU-31 Pylon 3,4



local function C_bru_L657_with_3x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-31"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_3*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3,4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,
		--settings 		= 	Get_LGU_GUISettings_Preset("MDRN_B_A_PGM_TWINWELL"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	4.863}},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_3x("GBU-31")					-- GBU-31 Pylon 3,4,6

---------------------

-----------------------------

	


--GBU-12 3,4,6,7
---------------------

-----------------------------
local function C_bru_L657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3,4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},   
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}} 
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_2x("GBU-12")					-- GBU-12 Pylon 3,4



local function C_bru_L657_with_3x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_3*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3,4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	4.863}},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_3x("GBU-12")					-- GBU-12 Pylon 3,4,6


local function C_bru_L657_with_32x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_32*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*2),4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},    
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},  
							{ShapeName	= element,		Position	=	{0.789,	0.215,	1.25}},    
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_32x("GBU-12")					-- GBU-12 Pylon 3(*2),4


local function C_bru_L657_with_4x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_4*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*2),4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},    
		Cx_pil			=	0.0 + 4*bomb_variant.Cx,		
		Count			=	4,
		Weight			=	0 + 4*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.215,	4.863}},   
							{ShapeName	= element,		Position	=	{0.789,	0.215,	1.25}},    
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_4x("GBU-12")					-- GBU-12 Pylon 3(*2),4,6 


local function C_bru_L657_with_42x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_42*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*3),4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},  
		Cx_pil			=	0.0 + 4*bomb_variant.Cx,		
		Count			=	4,
		Weight			=	0 + 4*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.215,	1.25}},  
							{ShapeName	= element,		connector_name = "Point03"},							
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}  
		}, 
	}
	declare_loadout(data) 
end

C_bru_L657_with_42x("GBU-12")					-- GBU-12 Pylon 3(*3),4


local function C_bru_L657_with_5x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_5*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*3),4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},  
		Cx_pil			=	0.0 + 5*bomb_variant.Cx,		
		Count			=	5,
		Weight			=	0 + 5*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.215,	4.863}},
							{ShapeName	= element,		Position	=	{0.789,	0.215,	1.25}},  
							{ShapeName	= element,		connector_name = "Point03"},							
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}  
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_5x("GBU-12")					-- GBU-12 Pylon 3(*3),4,6



local function C_bru_R657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 7,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,	
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}},  
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_2x("GBU-12")					-- GBU-12 Pylon 6,7


local function C_bru_R657_with_3x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_3*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 7,6,4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,	
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-4.863}},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}}, 
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_3x("GBU-12")					-- GBU-12 Pylon 6,7,4


local function C_bru_R657_with_32x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_32*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 7(*2),6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},    
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},  
							{ShapeName	= element,		Position	=	{0.789,	0.215,	-1.25}},    
							{ShapeName	= element,		connector_name = "Point03"},
							{ShapeName	= element,		connector_name = "Point01"}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_32x("GBU-12")					-- GBU-12 Pylon 3(*2),4


local function C_bru_R657_with_4x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_4*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*2),4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},    
		Cx_pil			=	0.0 + 4*bomb_variant.Cx,		
		Count			=	4,
		Weight			=	0 + 4*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.215,	-4.863}},   
							{ShapeName	= element,		Position	=	{0.789,	0.215,	-1.25}},    
							{ShapeName	= element,		connector_name = "Point03"},
							{ShapeName	= element,		connector_name = "Point01"}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_4x("GBU-12")					-- GBU-12 Pylon 3(*2),4,6 


local function C_bru_R657_with_42x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_42*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*3),4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},  
		Cx_pil			=	0.0 + 4*bomb_variant.Cx,		
		Count			=	4,
		Weight			=	0 + 4*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.215,	-1.25}},  
							{ShapeName	= element,		connector_name = "Point03"},							
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}  
		}, 
	}
	declare_loadout(data) 
end

C_bru_R657_with_42x("GBU-12")					-- GBU-12 Pylon 3(*3),4


local function C_bru_R657_with_5x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_5*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3(*3),4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},  
		Cx_pil			=	0.0 + 5*bomb_variant.Cx,		
		Count			=	5,
		Weight			=	0 + 5*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.215,	-4.863}},
							{ShapeName	= element,		Position	=	{0.789,	0.215,	-1.25}},  
							{ShapeName	= element,		connector_name = "Point03"},							
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}  
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_5x("GBU-12")					-- GBU-12 Pylon 3(*3),4,6













local function C_bru_L657_with_26x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_26*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 4,6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},   
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},  
							{ShapeName	= element,		Position	=	{0,	0, 3.626}},
							{ShapeName	= element,		Position	=	{0,	0, 0}},   
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_26x("GBU-12")					-- GBU-12 Pylon 4,6



local function C_bru_L657_with_36x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_36*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 4(*2),6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},    
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true},  
							{ShapeName	= element,		Position	=	{0,	0, 3.626}},
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}  
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_36x("GBU-12")					-- GBU-12 Pylon 4(*2),6





















local function C_bru_657_with_3x(element)
	local bomb_variant = bombs_data[element] or bombs_data["GBU-12"]  
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRU657_3*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("TER-9A with 3 x ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},  
		Cx_pil			=	0.0 + 3*bomb_variant.Cx,		
		Count			=	3,
		Weight			=	0 + 3*bomb_variant.mass,
		settings 		= 	Get_LGU_GUISettings_Preset("WGU59"), 		
		Elements		= {	{ShapeName	= "TER-9A",	IsAdapter  	   = true}, 
							{ShapeName	= element,		connector_name = "Point03"},	 						
							{ShapeName	= element,		connector_name = "Point02"},
							{ShapeName	= element,		connector_name = "Point01"}  
		}, 
	}
	declare_loadout(data)
end

C_bru_657_with_3x("GBU-12")					-- GBU-12 (*3) 

---------------------

-----------------------------


  


 

------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------







-----------------------------
--MK-82 3,4,6,7
---------------------

-----------------------------
local function C_bru_L657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["MK-82"]   
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3,4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,			
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_2x("MK-82")					-- MK-82 Pylon 3,4


local function C_bru_R657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["MK-82"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 6,7 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,			
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_2x("MK-82")					-- MK-82 Pylon 3,4,6,7
---------------------

-----------------------------
--MK-84 3,4,6,7
---------------------

-----------------------------
local function C_bru_L657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["MK-84"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 3,4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,			
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_2x("MK-84")					-- MK-84 Pylon 3,4


local function C_bru_R657_with_2x(element)
	local bomb_variant = bombs_data[element] or bombs_data["MK-84"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_2*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 6,7 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 2*bomb_variant.Cx,		
		Count			=	2,
		Weight			=	0 + 2*bomb_variant.mass,			
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}},
							{ShapeName	= element,		Position	=	{0.0,	0.0,	0.0}}
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_2x("MK-84")					-- MK-84 Pylon 3,4,6,7

--MK84 4,6
---------------------

-----------------------------
local function C_bru_L657_with_1x(element)
	local bomb_variant = bombs_data[element] or bombs_data["MK-84"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUL657_1*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 4 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 1*bomb_variant.Cx,		
		Count			=	1,
		Weight			=	0 + 1*bomb_variant.mass,			
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	1.25}},
		}, 
	}
	declare_loadout(data)
end

C_bru_L657_with_1x("MK-84")					-- GBU-31 Pylon 3,4


local function C_bru_R657_with_1x(element)
	local bomb_variant = bombs_data[element] or bombs_data["MK-84"]
	local data = {
		category		=	CAT_BOMBS,
		CLSID			=	"{C_BRUR657_1*"..element.."}",
		Picture			=	bomb_variant.picture,
		wsTypeOfWeapon	=	bomb_variant.wsType,
		displayName		=  _("Pylon 6 ")..bomb_variant.name,
		attribute		=	{wsType_Weapon,wsType_Bomb,wsType_Container,WSTYPE_PLACEHOLDER},
		Cx_pil			=	0.0 + 1*bomb_variant.Cx,		
		Count			=	1,
		Weight			=	0 + 1*bomb_variant.mass,			
		Elements		= {	{ShapeName	= "",	IsAdapter  	   = true},
							{ShapeName	= element,		Position	=	{0.789,	0.017,	-1.25}},
		}, 
	}
	declare_loadout(data)
end

C_bru_R657_with_1x("MK-84")					-- MK84 Pylon 6,7
---------------------

